Jump to content
Sign in to follow this  
arsen12

Czy Instalowac ? Pare Pytan

Recommended Posts

witam, z tego co czytalem i widzialem fedora bardzo mi sie podoba, ale przed instalacja chcialbym wiedziec pewne rzeczy, jedynie do szczescia potrzebne jest mi zeby dzialalo mi fl studio, Asio,gra eve online i sterowniki amd catalyst 13.1. jesli da sie do zrobic na fedorze i wiecie jak to prosze o wypowiedz :) bo na innych linuxach nie udawalo mi sie tego zrobic ;< a za tym windowsem juz nie przepadam ale tylko tam moge to zainstalowac... Swietnie by bylo jakby jedna osoba mi pomogla z tymi programami i wsio ;p

 

pozdrawiam

Share this post


Link to post
Share on other sites
zeby dzialalo mi fl studio, Asio,gra eve online

fl jest chyba na windowsa, reszta zgaduje ze tez , tutaj powinienes sam sie pomeczyc z wine,

czy PlayOnLinux czytajac poradniki i szukajac rozwiazan w google jesli spotkasz bledy jak uruchomisz dany program w terminalu.

 

Pierwsze gdzie, to szukaj pomocy na wiki http://www.winehq.org/

masz tam opisana kompatybilnosc jaki poziom udalo sie uzyskac dla danego programu,

oraz czasem jak to uzyskac by aplikacja dzialala, jak nie dziala, to nastepnego szukasz poradnika w google.

 

Przyklad - jeden z kilku wynikow wyszukania

https://appdb.winehq.org/objectManager.php?sClass=application&iId=178

 

Sterowniki.

Ja szukalem w google poradnikow, widze ze nikt paczek dla AMD nie robil, ale jeszcze zerkne

w google znalazlem jakies poradniki

https://www.google.pl/search?q=amd+catalyst+fedora+wiki&ie=utf-8&oe=utf-8&aq=t&rls=org.mozilla:en-US:official&client=firefox-a&channel=sb&gfe_rd=cr&ei=YknFU9DMAqOI8QeF14HwDQ#channel=sb&q=fedora+20+amd+catalyst+fedora+wiki&rls=org.mozilla:en-US:official

 

translator jak cos

https://translate.google.pl/

 

 - no nie znalazlem pakietu, czyli czekalaby Cie reczna instalacja pakietu ze strony AMD,

ale kiedyś chyba pakiet AMD mial takze instalator, wiec moze tak zle nie bedzie.

Sterownik oczywiscie szukasz na stronie http://support.amd.com/en-us/download

lub   http://www.amd.com/pl-pl

Share this post


Link to post
Share on other sites

dzieki za pomoc, teraz probowalem na debianie go zainstalowac, wczesniej na open susie, ciagle sie nie udaje, i z repozytoriow i tego sciaganego, no nic ;/ bede musial chyba lepsza karte graficzna kupic i dopiero wtedy cos z linuxami myslec na to wychodzi, tym razem na debianie prawie mi wyszlo zainstalowanie go, jestem blisko ale na forum cisza i nie wiem co dalej, chyba usune to w kit, za jakis czas jak bd mial lepszy pc wezme sie za to a co do fl, to zainstalowalem ale scina obraz na dole i wgl z tym sobie nie proadze z tym ucinaniem obrazu bez pomocy, a nikt mi w tym nie pomoze znajac zycie, asio nie dziala na wine ale jest wineasio ktorego tez sam nie umiem zainstalowac, jestem skazany na windowsa ;/

Share this post


Link to post
Share on other sites

Odnosnie sterownikow.

To zalezy, catalyst wspiera jakies tam karty tylko , jesli jest w srod nich twoja to na pewno AMD pomoze Ci je zainstalowac,

jezeli masz starsza karte to musisz korzystac z otwartych sterownikow.

Kernel, Xorg, Sterowniki graficzne sa w pewien sposob ze soba powiazane, 

kazdy update powoduje kompatybilnosc z nowszymi kartami graficznymi, nowszym kernelem i xorg,

a starsze modele trafiaja do otwartych sterownikow.

Dokumentacja wiki Debiana jest dosc obszerna na ten temat, moze byc czasem pomocna rowniez na Fedorze.

A co do Suse jesli twoja karta graficzna bylaby przez najnowszy catalyst wspierana, to na 99% powinna dzialac,

zwlaszcza ze masz juz tam swietnie przygotowane paczki.

(    http://wiki.suse.pl/wiki/index.php/Instalacja_sterownik%C3%B3w_do_kart_graficznych_ATI   )

 

Jakie wersje Catalyst jakich wersji zaleznosci dokladnie wymaga sprawdzisz np. pod tym linkiem

http://wiki.cchtml.com/index.php/Category:Releases

 

Wspierane karty mozesz zerknac np. tu

http://wiki.cchtml.com/index.php/Hardware

 

I z tego co pamietam Catalyst na Linuxie wspieral tylko karty zaczynajac od HD i to nie wszystkich.

 

I jeszcze cos, piszesz strasznie ogolnie, ze masz problemy, a nie napisales jak to robiles, nie napisales jaki masz sprzet,

oraz jakie bledy napotkales, czesto ludzie chca pomoc, ale nie sa alfa i omega.

Wiec jesli chcesz drazyc temat to zacznij od podania sprzetu, ewentualnie jak robisz i jakie bledy masz.

 

Jak nie powiesz jaki masz sprzet, to nikt nie bedzie wiedzial czy ma podobny i nie powie Ci jak wygladala u niego

przygoda z Catalyst. ;)

Share this post


Link to post
Share on other sites

Wiem sorka, ale już stary się zestresowałem, że siedzę 2 albo 3 dobę, łeb mi pęka, czytam a i tak mi nie wychodzi ;p To tak też piszę, co do karty to problem w tym że nie wspierają jej właśnie ale zdecydowałem, że parę najbliższych dni przeżyję na windzie potem zamierzam zainwestować w lepszy pc z karta graficzna wspieraną przez amd bo z tym już nie ma co kombinować z systemami ani nic trzeba nowy sprzęt ogólnie i wtedy będzie dobrze za niecały tydzień już może nawet. :) Teraz tylko pomyślę nad fedorą albo open susem do tego nowego pc a potem atakuje od nowa to wszystko ;d

Share this post


Link to post
Share on other sites

Na pocieszenie moge napisac ze otwarte sterowniki sa coraz lepsze , wiec brak Catalyst czasami mozna przebolec.

 

http://www.dobreprogramy.pl/Linux-3.15-szybsze-usypianie-i-budzenie-lepsze-sterowniki-i-poczatek-niezaleznosci-od-kompilatora-GCC,News,55168.html

 

http://www.netext73.pl/2014/02/widac-ze-otwarte-sterowniki-amd-radeon.html

 

Niestety jeszcze jak w bajce nie jest.

Zakladam ze wydajnosc otwartych sterownikow jest lepsza tylko dla niektorych kart,

a w przypadku bardzo starych kart, ta wydajnosc moze nawet malec (np. celowo by dodac cos nowszym kartom),

co juz mialem okazje sie przekonac. No i ze wsparciem roznie bywa.

Share this post


Link to post
Share on other sites

bede musial chyba lepsza karte graficzna kupic

Nie lepszą a inną. Zamknięte sterowniki pod Nvidię działają i instalują się bez problemów o ile stosujesz się do naszego poradnika → http://wiki.fedora.pl/wiki/Poradnik#Nvidia

AMD pod Linuksem to zło. Najgorsze wsparcie ze strony producenta jakie kiedykolwiek widziałem i tak jest od czasów kiedy Ati nie było jeszcze w rękach AMD.

Share this post


Link to post
Share on other sites

Dokładnie tak, kupisz nową kartę AMD i za 2-3 wydania Fedory stracisz wsparcie i historia zatoczy koło. Pod Linuksa to tylko NVIDIA.
Natomiast co do FL tylko Windows- chyba, że lubisz kombinować to może uruchomisz, ale z doświadczenia wiem, że coś znajdzie się takiego, że nie będzie działać jak powinno. Jak ci ścina obraz to możesz pobawić się programem "winecfg".

Share this post


Link to post
Share on other sites
Dokładnie tak, kupisz nową kartę AMD i za 2-3 wydania Fedory stracisz wsparcie i historia zatoczy koło.

Na nvidii jest podobnie, tyle ze otwarte tam nazywaja sie nouveau.

 

Nie demonizujecie troche? Mozecie napisac konkretniej w na czym polega problem ze sterownikami?

Moze chodzi oto ze na nvidi jest dluzsze wsparcie ?

Moze chodzi oto ze open source sterownikow ( aktualizowane przez spolecznosc ) na ta chwile nie daje tak oczekiwanych aktualizacji, jak przez producenta?

Moze chodzi oto ze firma AMD nie nadaza aktualizowac swoich sterownikow Catalyst ?

( tutaj najwiecej chyba mozna znalesc poblemow w google pod Ubuntu, ale nie zdziwilbym gdyby takze "nowe pomysly "

w ubuntu sie do tego przyczynily )

Share this post


Link to post
Share on other sites

No spoko, poszukam karty nvidii jak polecacie. A fl przez wine już mi tutaj dobrze chodzi tylko więcej ramu potrzeba, jedyny problem to Asio, będę coś musiał z tym wineasio pokombinować.

Share this post


Link to post
Share on other sites

Nie demonizujecie troche? Mozecie napisac konkretniej w na czym polega problem ze sterownikami?

Problem polega na tym, że ATI ma w d*pie użytkowników Linuksa. Wspiera tylko nowe i w miarę nowe karty, resztę ubija tzn. porzuca wsparcie i nie dostosowuje do nowego soft.

 

 

Moze chodzi oto ze firma AMD nie nadaza aktualizowac swoich sterownikow Catalyst ?

 

Skoro Nvidia może to i ATI może, ale po co, jak lepiej wybulić kasę na nową karte, żeby nowe distra ją mogły obsługiwać?. Wydaje mi się, że właśnie taka jest ich polityka na Linuchu.

Share this post


Link to post
Share on other sites

Wspiera tylko nowe i w miarę nowe karty, resztę ubija tzn. porzuca wsparcie i nie dostosowuje do nowego soft.

A i z nowymi bywa słabiutko.

Ja mam starą kartę GT8400 a sterowniki Nvidii są wciąż dostępne na Linuksa dla mojej karty i jeszcze starszych modeli. A z drugiej strony nowe (nie wiem czy takie hiper-super najnowsze) są na bieżąco wspierane.

Zresztą co tu gadać - na F20 Catralyst nie ma do tej pory. Ani dla starych ani dla nowych. Szczęście nieszczęśników-posiadaczy kart AMD w tym, że otwarte sterowniki są coraz bardziej wydajne.

Share this post


Link to post
Share on other sites

A ja mam na stacjonarce 9400 czy 9500(karta gdzieś z roku 2009-2010) i chodzi jak złoto na grach Wine. Także trąbić gdzie się da, że ATI ssie i nie mieć litości, zwłaszcza, że Steam nadchodzi i będzie potrzebował graficznego wsparcia.

Share this post


Link to post
Share on other sites

Aha, jeszcze coś, bo patrzę na poradnik i jest tam polecone instalować otwarte sterowniki

i są takie:

Dla GeForce 8 i nowszych

Sterowniki nvidia dla jądra PAE

Dla GeForce 6/7

Sterowniki 304xx dla jądra PAE

Dla GeForce FX

i

Sterowniki 173xx dla jądra PAE

 

to w wypadku gdy mam geforce gtx 550ti które z nich wybrać ? i czy wybór tych sterów nie ograniczy mocno możliwości karty ?

Share this post


Link to post
Share on other sites

Create an account or sign in to comment

You need to be a member in order to leave a comment

Create an account

Sign up for a new account in our community. It's easy!

Register a new account

Sign in

Already have an account? Sign in here.

Sign In Now
Sign in to follow this  

×